This runs a single docker container which serves netboot.xyz and also a samba server on the same IP to serve e.g. windows installation files.

# Setup instructions

Create bootable Windows PE iso according to [instructions here](https://learn.microsoft.com/en-us/windows-hardware/manufacture/desktop/winpe-create-usb-bootable-drive?view=windows-11#create-a-winpe-iso-dvd-or-cd).
Extract the iso to `config/win-pe/x64/`

Download windows 11 install iso from microsoft.
Extract the iso to `config/windows/win-os/win11/`

Generate autounattend.xml [https://schneegans.de/windows/unattend-generator/](https://schneegans.de/windows/unattend-generator/) and place in `assets/win-pe/configs`


#In Netboot.xyz web interface:
Add the following to windows.ipxe right before the other `initrd´ lines

```
initrd ${win_base_url}/configs/auto.bat auto.bat
initrd ${win_base_url}/configs/winpeshl.ini winpeshl.ini
```

Add new file `local-vars.ipxe` with the following content:
set win_base_url http://10.0.0.9/win-pe
